all: lua jacorb

lua: FORCE
	cd lua && tar zxf oilpack-src.tar.gz
	#cd lua && cp -f install-lua.sh oilpack/install.sh
	cd lua/oilpack && ./install.sh > /tmp/log/deps-`hostname`.log
	mv lua/oilpack/lua-built lua/lua-built

luaclean:
	rm -Rf lua/lua-built
	rm -Rf lua/oilpack

ant: FORCE
	cd ant && tar zxf apache-ant-1.7.0-bin.tar.gz
	mv ant/apache-ant-1.7.0 ant/ant-built 
	
antclean:
	rm -Rf ant/ant-built
	
jacorb: ant FORCE
	cd jacorb && tar zxf JacORB-2.2.3-source.tar.gz 
	cd jacorb/JacORB-2.2.3 && export ANT_OPTS=-Xmx640m &&../../ant/ant-built/bin/ant > /tmp/log/deps-`hostname`.log
	mv jacorb/JacORB-2.2.3 jacorb/jacorb-built
	
jacorbclean:
	rm -Rf jacorb/jacorb-built
	
openssl: FORCE
	cd openssl && tar zxf openssl-0.9.8h.tar.gz 
	cd openssl/openssl-0.9.8h && ./config > /tmp/log/deps-`hostname`.log
	cd openssl/openssl-0.9.8h && make > /tmp/log/deps-`hostname`.log

opensslclean:
	rm -Rf openssl/openssl-0.9.8h

clean: luaclean antclean jacorbclean opensslclean

FORCE:
